#!/usr/bin/env python
import time

import requests

import config
from plugins import plugins


def main():
    data = requests.get(config.CAR_API_URL)
    for plugin in plugins:
        plugin.check(data)

if __name__ == "__main__":
    while True:
        main()
        time.sleep(config.DELAY)
